# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to https://bugs.links2linux.org

%define _nero_aac_ver 			1.5.1

ExclusiveArch:  %ix86 x86_64
Summary:        OGMRip plugin which adds support for Nero-AAC audio codec
Name:           ogmrip-nero-aac
Version:        0.5
Release:        pm151.4.2
Source:         http://surfnet.dl.sourceforge.net/project/ogmrip/ogmrip-nero-aac/%{version}/ogmrip-nero-aac-%{version}.tar.gz
Source1:        http://ftp6.nero.com/tools/NeroAACCodec-%{_nero_aac_ver}.zip
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogmrip)
BuildRequires:  dos2unix
BuildRequires:  unzip
Requires:       nero-aac = %{_nero_aac_ver}
Requires:       ogmrip

NoSource:       1

%description
ogmrip-nero-aac is a plugin which adds support for Nero-AAC
audio codec.


%lang_package

%package -n nero-aac
Summary:        Nero aac encoder/decoder
Group:          Productivity/Multimedia/Video/Editors and Convertors
Version:        %{_nero_aac_ver}
License:        SUSE-NonFree

%description -n nero-aac
Nero AAC reference quality MPEG-4 and 3GPP audio codec

* Compression ratios ranging from Ultra High (58 CDs fit on one!)
  to High-End Audio (2.5:1), for absolutely perfect audiophile
  encodings
* Crystal-clear, award-winning sound quality at every compression
  ratio and bit rate!
* Support for embedded album art including covers, booklets, and
  lyrics
* Store an entire audio album in a single .mp4 file with all the
  features of an Audio CD embedded inside, but at a fraction of the
  space!
* Reference quality MPEG-4 audio codec
* Fully compatible with the latest version of the state-of-the-art
  MPEG-4 audio standard (LC-AAC, HE-AAC and HE-AAC v2)

Nero AG licenses you to use this software package for personal
non-commercial and/or technology-evaluation purposes.

This License does not provide any rights to reproduce and/or
distribute this software package in whole or in any part.

A written license agreement with Nero AG is needed for any Commercial
use of this software package, including, but not limited to,
exploitation of products, which are incorporating and/or using, in
whole or in part, executables provided in this software package.

Please contact Nero AG for licensing guidance.

%prep
%autosetup -p1

%build
unzip -q %{SOURCE1}
dos2unix -q {} ';' *.txt

sed -i~ '
/^CFLAGS/d
/^LDFLAGS/d
' configure.in
diff -u "$_"~ "$_" && exit 1
autoreconf -fiv
%configure \
    --enable-static=no
%make_build

%install
%make_install \
    audio_codecsdir=%{_libdir}/ogmrip/audio-plugins

install -dm 755 %{buildroot}%{_bindir}
install -m 755 linux/neroAac* \
    %{buildroot}%{_bindir}

find '%{buildroot}%{_libdir}' -name '*.la' -print -delete

%find_lang %{name}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/libogmrip-nero-aac.so

%files -n nero-aac
%license license.txt
%doc readme.txt
%{_bindir}/neroAac*

%files lang -f %{name}.lang

%changelog
* Sat Oct  8 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Fri Mar 29 2013 dap.darkness@gmail.com
- Updated to 0.5:
  * Improved plugins and profiles support.
- Option _with_nero was set to 1.
- External nero-aac isn't really needed to build.
- Switched to use download_files service.
- Service source_validator was enabled.
- Bug tracker was added instead of mailing list.
- License&Summary tags were fixed up to prevent warnings.
- dos2unix was added to prevent wrong-file-end-of-line-encoding.
- Nero AAC was updated to 1.5.1.
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.4
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.3
